Kleinanzeigen seller listings
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-kleinanzeigen-sellers-listings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seller": "4667542",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-kleinanzeigen-sellers-listings"
payload = {
"seller": "4667542",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({seller: '4667542', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-kleinanzeigen-sellers-listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "kleinanzeigen_seller_listings",
"seller": "4667542",
"seller_id": "4667542",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Kleinanzeigen seller listings\n\n- **Seller:** 4667542\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 492.2 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "3517678204",
"title": "Samsung Galaxy Z Flip5 mit OVP und Hülle",
"url": "https://www.kleinanzeigen.de/s-anzeige/samsung-galaxy-z-flip5-mit-ovp-und-huelle/3517678204-173-1834",
"price": 290,
"currency": "EUR",
"old_price": 350,
"is_negotiable": false,
"is_free": false,
"description": "Ich verkaufe mein Samsung Galaxy Z Flip5, das sich in einem guten Zustand ist ca. 3 Jahre alt. Das...",
"postal_code": "32049",
"state": "Nordrhein-Westfalen",
"city": "Herford",
"posted_at": "2026-09-20",
"shipping_available": false,
"image": "https://img.kleinanzeigen.de/api/v1/prod-ads/images/3e/3ed40d51-e91b-4e82-85ff-f7c2d7a03103?rule=$_59.AUTO",
"image_count": 10
},
"items": [
{
"id": "3517678204",
"title": "Samsung Galaxy Z Flip5 mit OVP und Hülle",
"url": "https://www.kleinanzeigen.de/s-anzeige/samsung-galaxy-z-flip5-mit-ovp-und-huelle/3517678204-173-1834",
"price": 290,
"currency": "EUR",
"old_price": 350,
"is_negotiable": false,
"is_free": false,
"description": "Ich verkaufe mein Samsung Galaxy Z Flip5, das sich in einem guten Zustand ist ca. 3 Jahre alt. Das...",
"postal_code": "32049",
"state": "Nordrhein-Westfalen",
"city": "Herford",
"posted_at": "2026-09-20",
"shipping_available": false,
"image": "https://img.kleinanzeigen.de/api/v1/prod-ads/images/3e/3ed40d51-e91b-4e82-85ff-f7c2d7a03103?rule=$_59.AUTO",
"image_count": 10
},
{
"id": "3517041007",
"title": "Focus E- Mountainbike mit Schloss, Schutzbleche, Ladegerät.",
"url": "https://www.kleinanzeigen.de/s-anzeige/focus-e-mountainbike-mit-schloss-schutzbleche-ladegeraet-/3517041007-217-1834",
"price": 2200,
"currency": "EUR",
"old_price": 2800,
"is_negotiable": true,
"is_free": false,
"description": "Ich verkaufe mein zuverlässiges E - Mountainbike der Marke Focus, das mich auf vielen Wegen...",
"postal_code": "32049",
"state": "Nordrhein-Westfalen",
"city": "Herford",
"posted_at": "2026-09-19",
"shipping_available": false,
"image": "https://img.kleinanzeigen.de/api/v1/prod-ads/images/80/808d4583-badc-409f-847e-336ed8793ffd?rule=$_59.AUTO",
"image_count": 4
}
],
"proxy_traffic_bytes": 504000
},
"total_points": 2
}E-commerce & Marketplaces
Kleinanzeigen seller listings
A seller’s active Kleinanzeigen ads by user id or profile URL. 1 point per returned record.
POST
/
functions
/
v1
/
run-kleinanzeigen-sellers-listings
Kleinanzeigen seller listings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.